Skip to main content
PATCH
/
connections
/
{id}
Update connection
curl --request PATCH \
  --url https://api.bundleup.io/v1/connections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>"
}
'
{
  "id": "<string>",
  "external_id": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "integration_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass the API key as a bearer token.

Path Parameters

id
string
required

Resource identifier.

Body

application/json
external_id
string

External account identifier.

Response

Connection updated successfully.

id
string
required

Connection identifier.

external_id
string | null
required

External system identifier.

expires_at
string<date-time> | null
required

Expiration timestamp for the access token.

integration_id
string
required

Integration ID associated with the connection.

created_at
string<date-time>
required
updated_at
string<date-time>
required